package com.fossgalaxy.games.tbs.editor.resources;

import com.fossgalaxy.games.tbs.editor.EditorView.EditorModel;
import com.fossgalaxy.games.tbs.io.SettingsIO;
import com.fossgalaxy.games.tbs.parameters.GameSettings;

import javax.swing.*;

public class StartingResourcesPanel {
    private GameSettings settings;
    private ResourceModel model;

    private JDialog dialog;

    public StartingResourcesPanel(GameSettings settings, EditorModel editorModel) {
        this.settings = settings;
        this.model = new ResourceModel(editorModel, settings);

        this.dialog = new JDialog();
        dialog.setTitle("Starting Resources");
        dialog.add(new JScrollPane(new JTable(model)));
    }

    public void showPanel(){
        dialog.pack();
        dialog.setVisible(true);
    }

    public static void main(String[] args) {

        SettingsIO io = new SettingsIO();
        GameSettings settings = io.loadSettings("game.json");

        EditorModel model = new EditorModel(settings);

        StartingResourcesPanel panel = new StartingResourcesPanel(settings, model);
        panel.showPanel();

    }
}
