package com.fossgalaxy.games.tbs.ui;

import com.fossgalaxy.games.tbs.entity.Entity;

import javax.swing.*;
import java.awt.*;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;

public class PropertiesPanel extends JPanel {

    private JLabel text;

    public PropertiesPanel(){
        super(new BorderLayout());
        setBorder(BorderFactory.createEmptyBorder(5,5,5, 5));

        this.text = new JLabel();
        text.setHorizontalAlignment(SwingConstants.CENTER);
        text.setHorizontalTextPosition(SwingConstants.CENTER);
        add(text);
    }

    public void setEntity(Entity entity){

        if (entity != null) {

            StringBuilder sb = new StringBuilder();
            sb.append("<html>");

            ArrayList<String> properties = new ArrayList<String>(entity.getPropertyNames());
            Collections.sort(properties);

            for (String property : properties) {
                sb.append(" <b>");
                sb.append(property);
                sb.append("</b>");
                sb.append(": ");
                sb.append(Integer.toString(entity.getProperty(property)));
            }


            text.setText(sb.toString());
        }

        repaint();
    }

}
